using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Wex.Sdk.Tel;

namespace Wex.Sdk
{
    public partial interface IWexClient
    {
        Task<WexResponse<List<QueryTelResponse>>?> QueryTelsAsync(QueryTelRequest request, CancellationToken cancellationToken) =>
            ExecuteAsync<QueryTelRequest, WexResponse<List<QueryTelResponse>>>(request, cancellationToken);

        Task<WexResponse<List<QueryGroupResponse>>?> QueryGroupAsync(QueryGroupRequest request, CancellationToken cancellationToken) =>
            ExecuteAsync<QueryGroupRequest, WexResponse<List<QueryGroupResponse>>>(request, cancellationToken);

        Task<WexResponsePage<List<QueryTelResponse>>?> QueryTelsPageAsync(QueryTelPageRequest request, CancellationToken cancellationToken) =>
            ExecuteAsync<QueryTelPageRequest, WexResponsePage<List<QueryTelResponse>>>(request, cancellationToken);
    }
}
